Bug 122852 - Dragging a textbox around is utilizing one core
Summary: Dragging a textbox around is utilizing one core
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: Textbox
  Show dependency treegraph
 
Reported: 2019-01-21 13:00 UTC by Telesto
Modified: 2023-09-11 03:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (91.83 KB, application/vnd.oasis.opendocument.text)
2019-01-21 13:00 UTC, Telesto
Details
Callgrind output from master (1.46 MB, application/x-xz)
2019-01-27 18:52 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-01-21 13:00:16 UTC
Description:
Dragging a textbox around is utilizing one core. A small slowdown (sluggishness) will be noticeable with a fill background

Steps to Reproduce:
1. Open the attached file
2. Drag the textbox around and monitor CPU usage

Actual Results:
25% utilization of one core

Expected Results:
A bit more efficient


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: 6740443311268b7d918bf4f43134d64fb78a0109
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-15_23:37:04
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2019-01-21 13:00:37 UTC
Created attachment 148474 [details]
Example file
Comment 2 Durgapriyanka 2019-01-23 16:42:46 UTC
Thank you for reporting this bug. I can confirm this with

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Buovjaga 2019-01-27 18:52:34 UTC
Created attachment 148691 [details]
Callgrind output from master

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: dee9ad9fdca594993190e2f79ca4696f9adf6b48
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 27 January 2019
Comment 4 QA Administrators 2023-09-11 03:13:41 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug